> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hirehive.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get notes

> Get a paginated list of notes for a candidate



## OpenAPI

````yaml get /v1.0/{company_id}/candidates/{candidate_id}/notes
openapi: 3.0.0
info:
  title: HireHive API reference
  termsOfService: https://www.hirehive.com/terms/
  contact:
    email: support@hirehive.com
  version: v1.0
servers:
  - url: https://api.hirehive.com
security:
  - bearerAuth: []
paths:
  /v1.0/{company_id}/candidates/{candidate_id}/notes:
    get:
      tags:
        - Candidates
      operationId: Candidates_GetCandidateNotes
      parameters:
        - name: company_id
          in: path
          required: true
          schema:
            type: string
            format: string
          x-position: 1
        - name: candidate_id
          in: path
          required: true
          schema:
            type: string
            format: string
          x-position: 2
        - name: page
          in: query
          description: Defaults to 1
          schema:
            type: integer
            format: int32
          x-position: 3
        - name: page_size
          in: query
          description: Defaults to 30. Min = 1. Max = 100
          schema:
            type: integer
            format: int32
            maximum: 100
            minimum: 1
          x-position: 4
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PagedResponseOfCandidateNote'
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationProblemDetails'
        '404':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
components:
  schemas:
    PagedResponseOfCandidateNote:
      type: object
      additionalProperties: false
      properties:
        meta:
          $ref: '#/components/schemas/Meta'
        links:
          $ref: '#/components/schemas/Links'
        items:
          type: array
          items:
            $ref: '#/components/schemas/CandidateNote'
    ValidationProblemDetails:
      type: object
      additionalProperties:
        nullable: true
      properties:
        errors:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
    ProblemDetails:
      type: object
      additionalProperties:
        nullable: true
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
    Meta:
      type: object
      additionalProperties: false
      properties:
        page_size:
          type: integer
          format: int32
        page:
          type: integer
          format: int32
        total_items:
          type: integer
          format: int32
        total_pages:
          type: integer
          format: int32
        has_next_page:
          type: boolean
        has_previous_page:
          type: boolean
    Links:
      type: object
      additionalProperties: false
      properties:
        first:
          type: string
        last:
          type: string
        next:
          type: string
        previous:
          type: string
    CandidateNote:
      type: object
      additionalProperties: false
      properties:
        id:
          type: string
          format: int32
        date_created:
          type: string
          format: date-time
        text:
          type: string
        creator:
          $ref: '#/components/schemas/Creator'
        files:
          type: array
          items:
            $ref: '#/components/schemas/FileDto'
        mentioned_users:
          type: array
          items:
            type: string
            format: int32
        restricted:
          type: boolean
        share:
          $ref: '#/components/schemas/ShareCandidateDto'
          nullable: true
    Creator:
      type: object
      additionalProperties: false
      properties:
        name:
          type: string
        user_id:
          type: string
          format: int32
          nullable: true
        guest_id:
          type: string
          format: int32
          nullable: true
        recruiter:
          type: string
          nullable: true
    FileDto:
      type: object
      additionalProperties: false
      properties:
        id:
          type: string
          format: int32
        type:
          $ref: '#/components/schemas/FileType'
        size_in_kb:
          type: integer
          format: int32
        download_link:
          type: string
        name:
          type: string
        original_name:
          type: string
        content_type:
          type: string
        file_extension:
          type: string
    ShareCandidateDto:
      type: object
      additionalProperties: false
      properties:
        id:
          type: string
          format: int32
        application_id:
          type: string
          format: int32
        message:
          type: string
        metadata:
          $ref: '#/components/schemas/Metadata'
        guest:
          $ref: '#/components/schemas/Guest'
        sender:
          $ref: '#/components/schemas/Sender'
    FileType:
      type: string
      description: ''
      x-enumNames:
        - InboundEmailAttachment
        - OutboundEmailAttachment
        - PersonNoteAttachment
        - JobNoteAttachment
        - SignInBrandingLogo
        - CurriculumVitae
        - PDFPreviews
        - CompanyLogo
        - HeroImage
        - ThumbImage
        - StyleSheet
        - ProfileImages
        - PublicImage
        - CandidateFile
        - PDFReport
        - LinkedInShareImage
        - TempCVFile
        - FacebookLinkedInMetaShareImage
        - TwitterMetaShareImage
        - CompanyExport
        - LoggingFile
      enum:
        - inbound_email_attachment
        - outbound_email_attachment
        - person_note_attachment
        - job_note_attachment
        - sign_in_branding_logo
        - curriculum_vitae
        - pdf_previews
        - company_logo
        - hero_image
        - thumb_image
        - style_sheet
        - profile_images
        - public_image
        - candidate_file
        - pdf_report
        - linked_in_share_image
        - temp_cv_file
        - facebook_linked_in_meta_share_image
        - twitter_meta_share_image
        - company_export
        - logging_file
    Metadata:
      type: object
      additionalProperties: false
      properties:
        expires_at:
          type: string
          format: date-time
        visits:
          type: integer
          format: int32
        expired:
          type: boolean
        revoked:
          type: boolean
    Guest:
      type: object
      additionalProperties: false
      properties:
        id:
          type: string
          format: int32
        email:
          type: string
    Sender:
      type: object
      additionalProperties: false
      properties:
        id:
          type: string
          format: int32
        first_name:
          type: string
        last_name:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````